# Package

include "src/main/nim/personal_measure_apipkg/version.nim"

version       = PM_API_VERSION
author        = "Jonathan Bernard"
description   = "JDB\'s Personal Measures API"
license       = "MIT"
srcDir        = "src/main/nim"
bin           = @["personal_measure_api"]
skipExt       = @["nim"]


# Dependencies

requires @["nim >= 0.19.4", "bcrypt", "docopt >= 0.6.8", "isaac >= 0.1.3",
  "jester >= 0.4.1", "jwt", "tempfile", "uuids >= 0.1.10" ]

requires "https://git.jdb-labs.com/jdb/nim-cli-utils.git >= 0.6.3"
requires "https://git.jdb-labs.com/jdb/nim-time-utils.git >= 0.5.0"
